﻿using System.Collections.Generic;
using System.Globalization;
using HeuristicLab.Data;
using HeuristicLab.Problems.Instances;

namespace HeuristicLab.Problems.DynamicalSystemsModelling.Instances {
  public class DataDescriptor : IDataDescriptor {
    public string Name { get; internal set; }
    public string Description { get; internal set; }
    public string[] TargetVariables { get; internal set; }
    public string[] InputVariables { get; internal set; }
    public IEnumerable<IntRange> TrainingEpisodes { get; internal set; }
    public IEnumerable<IntRange> TestEpisodes { get; internal set; }
    public string FileName { get; internal set; }
    public char Separator { get; internal set; }
    public NumberFormatInfo NumberFormat { get; internal set; }

    public DataDescriptor() {
      Separator = '\0'; // all whitespace, \0 is especially handled in the text file parser
      NumberFormat = NumberFormatInfo.InvariantInfo;
    }
  }
}
